Get Fintech Invoices
curl --request GET \
--url https://api.retailreadyai.com/api/v1/fintech/invoices \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.retailreadyai.com/api/v1/fintech/invoices"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.retailreadyai.com/api/v1/fintech/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "Invoices retrieved successfully",
"data": {
"brands": [
{
"brand_id": "brand-123",
"brand_name": "Acme",
"line_items": [
{
"metric": "Orders",
"count": 42,
"price_dollars": 84
},
{
"metric": "Pallets",
"count": 10,
"price_dollars": 25
},
{
"metric": "Cartons",
"count": 120,
"price_dollars": 60
},
{
"metric": "Units",
"count": 2400,
"price_dollars": 0
},
{
"metric": "SKUs",
"count": 30,
"price_dollars": 0
},
{
"metric": "Labels Generated",
"count": 14,
"price_dollars": 7
},
{
"metric": "Pallet Label Printed - QR Code",
"count": 10,
"price_dollars": 5
},
{
"metric": "Pallet Label Printed - GS1 Label",
"count": 8,
"price_dollars": 4
},
{
"metric": "Pallet Label Printed - Placard",
"count": 4,
"price_dollars": 2
},
{
"metric": "Carton Label Printed - GS1 Label",
"count": 60,
"price_dollars": 30
},
{
"metric": "Carton Label Printed - QR Code",
"count": 40,
"price_dollars": 20
},
{
"metric": "Carton Label Printed - Parcel Label",
"count": 20,
"price_dollars": 10
},
{
"metric": "VAS Actions",
"count": 15,
"price_dollars": 0
},
{
"metric": "Packing Slips",
"count": 42,
"price_dollars": 0
}
],
"action_items": [
{
"type": "Carton Workflow",
"metric": "Pack",
"count": 120,
"price_dollars": 30
}
],
"total_price_dollars": 277
}
],
"total_price_dollars": 277
}
}{
"message": "Invalid transportation_method: 'AIR'. Allowed values: FREIGHT, PARCEL",
"error": {
"code": "INVALID_REQUEST"
}
}{
"message": "Unauthorized",
"error": {
"code": "UNAUTHORIZED"
}
}Fintech
Get Fintech Invoices
Returns high-level billing summaries by brand, as configured in Settings > Fintech Setup. Not paginated.
GET
/
api
/
v1
/
fintech
/
invoices
Get Fintech Invoices
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Filter to a single brand.
Filter to a single retailer.
Filter by transportation method.
Available options:
FREIGHT, PARCEL Lower bound (inclusive) on order completion (ASN sent). Every date bound is optional and independent.
Upper bound (inclusive) on order completion (ASN sent).
Lower bound (inclusive) on packed date.
Upper bound (inclusive) on packed date.
⌘I

